package com.contabilidad.FacadeConta;

import com.contabilidad.EntConta.DatosGeneralesContrato;
import com.contabilidad.EntConta.Dependientes;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;
import java.util.ArrayList;
import java.util.List;

@Stateless
public class DatosContratoFacade extends AbstractFacade<DatosGeneralesContrato> implements DatosContratoFacadeLocal{

    @PersistenceContext(unitName = "contabilidad")
    private EntityManager em;

    @Override
    public EntityManager getEntityManager() {
        return em;
    }

    public DatosContratoFacade() {
        super(DatosGeneralesContrato.class);
    }

    @Override
    public List<Dependientes> obtenerDependientes(String codigoEmpelado){

        List<Dependientes> rs = new ArrayList<Dependientes>();
        Query q = em.createNativeQuery("select * from dbcontabilidad.vdependientes v where v.codigo_empleado = ?", Dependientes.class);
        q.setParameter(1,codigoEmpelado);

        rs.addAll(q.getResultList());
        return rs;
    }
}
